package com.ccwangluo.ccim.listener;

import com.ccwangluo.ccim.modle.Contact;
import com.ccwangluo.ccim.modle.MessageContent;
import com.ccwangluo.ccim.modle.NetStatus;
import com.ccwangluo.ccim.modle.User;

public interface OnPushMsgListener {

    void pushPrivateMsg(MessageContent msg);

    void pushChannelMsg(MessageContent msg);

    void pushNewContact(Contact contact);

    void pushDeleteContact(Long contactId);

    void pushContactNetStatus(Long contactId,NetStatus status);

    void pushContactNewReq(User user);

    void pushUserMutedRes(Long mutedExpiredAt);

}
